org.wildfly.swarm.management

## Class ManagementFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ManagementCoreService<ManagementFraction>
      - - org.wildfly.swarm.management.ManagementFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<ManagementFraction>

      public class ManagementFraction
      extends ManagementCoreService<ManagementFraction>
      implements Fraction<ManagementFraction>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.ManagementCoreService

      `ManagementCoreService.ManagementCoreServiceResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUDIT_LOG_FILE`
    `static String` | `FILE_HANDLER`
    `static String` | `JSON_FORMATTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagementFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManagementFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static ManagementFraction` | `createDefaultFraction()`
    `ManagementFraction` | `enableDefaultAuditAccess()`
    `ManagementFraction` | `httpDisable(boolean httpDisable)`
    `ManagementFraction` | `httpInterfaceManagementInterface()` Configuration of the server's HTTP management interface
    `ManagementFraction` | `httpInterfaceManagementInterface(HTTPInterfaceManagementInterfaceConsumer consumer)` Configuration of the server's HTTP management interface
    `int` | `httpPort()`
    `ManagementFraction` | `httpPort(int port)`
    `int` | `httpsPort()`
    `ManagementFraction` | `httpsPort(int port)`
    `boolean` | `isHttpDisable()`
    `void` | `postConstruct()`
    `ManagementFraction` | `securityRealm(String childKey, EnhancedSecurityRealmConsumer consumer)`

    - ### Methods inherited from class org.wildfly.swarm.config.ManagementCoreService

      `addPropertyChangeListener, auditAccess, auditAccess, auditAccess, auditAccess, authorizationAccess, authorizationAccess, authorizationAccess, authorizationAccess, configurationChangesService, configurationChangesService, configurationChangesService, configurationChangesService, getKey, httpInterfaceManagementInterface, httpInterfaceManagementInterface, ldapConnection, ldapConnection, ldapConnection, ldapConnection, ldapConnections, managementOperationsService, managementOperationsService, managementOperationsService, managementOperationsService, nativeInterfaceManagementInterface, nativeInterfaceManagementInterface, nativeInterfaceManagementInterface, nativeInterfaceManagementInterface, nativeRemotingInterfaceManagementInterface, nativeRemotingInterfaceManagementInterface, nativeRemotingInterfaceManagementInterface, nativeRemotingInterfaceManagementInterface, removePropertyChangeListener, securityRealm, securityRealm, securityRealm, securityRealm, securityRealms, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Field Detail

    - #### JSON_FORMATTER

          public static final String JSON_FORMATTER

      See Also:
        Constant Field Values

    - #### AUDIT_LOG_FILE

          public static final String AUDIT_LOG_FILE

      See Also:
        Constant Field Values

    - #### FILE_HANDLER

          public static final String FILE_HANDLER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ManagementFraction

          public ManagementFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static ManagementFraction createDefaultFraction()

    - #### postConstruct

          @PostConstruct
          public void postConstruct()

    - #### applyDefaults

          public ManagementFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<ManagementFraction>`
      Returns:
        this fraction.

    - #### httpInterfaceManagementInterface

          public ManagementFraction httpInterfaceManagementInterface()

      Description copied from class: `ManagementCoreService`
      Configuration of the server's HTTP management interface
      Overrides:
        `httpInterfaceManagementInterface` in class `ManagementCoreService<ManagementFraction>`

    - #### httpInterfaceManagementInterface

          public ManagementFraction httpInterfaceManagementInterface(HTTPInterfaceManagementInterfaceConsumer consumer)

      Description copied from class: `ManagementCoreService`
      Configuration of the server's HTTP management interface
      Overrides:
        `httpInterfaceManagementInterface` in class `ManagementCoreService<ManagementFraction>`

    - #### securityRealm

          public ManagementFraction securityRealm(String childKey,
                                                  EnhancedSecurityRealmConsumer consumer)

    - #### httpPort

          public ManagementFraction httpPort(int port)

    - #### httpPort

          public int httpPort()

    - #### httpsPort

          public ManagementFraction httpsPort(int port)

    - #### httpsPort

          public int httpsPort()

    - #### httpDisable

          public ManagementFraction httpDisable(boolean httpDisable)

    - #### isHttpDisable

          public boolean isHttpDisable()

    - #### enableDefaultAuditAccess

          public ManagementFraction enableDefaultAuditAccess()

Copyright © 2017 JBoss by Red Hat. All rights reserved.